search cancel

Package dependencies to install UNIX agents

book

Article ID: 151845

calendar_today

Updated On:

Products

Control Compliance Suite Unix

Issue/Introduction

 Package dependencies to install UNIX agents

Resolution

Before installing the UNIX agent, install the requisite packages of the respective operating systems on the UNIX target computers.


    Following are the dependent packages and their corresponding libraries:

    For Red Hat (8.0):
    glibc-2.2.93-5
    libc.so.6
    libm.so.6
    libcrypt.so.1
                      libdl.so.2
                      libNoVersion.so.1
                      libnsl.so.1 libnss_dns.so.2
                      libnss_files.so.2
                      libnss_nisplus.so.2
                      libnss_nis.so.2
                      libresolv.so.2
                    libutil.so.1 ld-linux.so.2

    ibgcc_libgcc-3.2-7 ibgcc_ c_s.so.1
    libstdc++-3.2-7 libstdc++-libc6.1-1.so.2
    libtermcap-2.0.8-31 libtermcap.so.2
    pam-devel-0.75-40 libpam.so.0
    pam-0.75-40
    pam_krb5-1.56-1
    pam_smb-1.1.6-5



    For the SUSE Linux (9.0):


    glibc-2.3.2-88 ld-linux.so.2
                    libNoVersion.so.1
                    libcrypt.so.1
                    libdl.so.2
                    libc.so.6
                              libm.so.6
                              libnss_compat.so.2
                              libnss_dns.so.2
                              libnss_files.so.2
                              libnss_nis.so.2
                              libresolv.so.2
                              libutil.so.1
                              libnsl.so.1


    libgcc-3.3.1.24 I libgcc_s.so.1

    compat-2003.5.12-56 libstdc++-libc6.1-1.so.2

    pam-0.77-124 libpam.so.0


    glibc-2.3.3-98.28 ld-linux.so.2
                    libNoVersion.so.1
                    libcrypt.so.1
                    libdl.so.2
                    libc.so.6
                    libm.so.6
                    libnss_compat.so.2
                    libnss_dns.so.2
                    libnss_files.so.2
                    libnss_nis.so.2
                    libresolv.so.2
                    libutil.so.1
                    libnsl.so.1
    libgcc-3.3.3-43.24 ilibgcc_s.so.1
    compat-2004.7.1-1.2 libstdc++-libc6.1-1.so.2
    pam-0.77-221.1 libpam.so.0


    For the HP-UX (11.00):


    OS-Core.CORE-64SLIB libc.2
                    libdl.1
                    libelf.2
    OS-Core.CORE-SHLIBS libc.1
    NFS.NFS-64SLIB libnsl.1
    PHNE_17101.NFS-64SLIB
    PHNE_31096.NFS-64SLIB
    Streams.STREAMS-64SLIB libxti.2
    PHNE_22566.STREAMS-64SLIB
    PHNE_27902.STREAMS-64SLIB
    PHNE_18972.STREAMS-64SLIB

    Note: To successfully execute query on the HP-UX version 11.00, 32-bit mode
    target computers you must install the PHSS_22514 and PHCO_26089 patches.


    For the AIX version 5.2 and version 5.3:

    bos.rte.libc libc.a
    bos.rte.bind_cmds librtl.a

    bos.rte.security libcrypt.a
                libbsd.a
                libdl.a


    For the Sun Solaris version 5.8:

    SUNWcsl (Version:
    11.8.0,REV=2000.
    01.08.18.12) libc.so.1
                    libdl.so.1
                    libelf.so.1
                    libkvm.so.1
                    libmp.so.2
                    libnsl.so.1
                    libsocket.so.1
                    libgen.so.1
                    libpam.so.1

    SUNWlibms (Version: libm.so.1
    5.8,REV=1999.10. 21)

    SUNWtoo (Version: libld.so.2
    11.8.0,REV=2000.
    01.08.18.12)


    For the Sun Solaris version 5.9:

    SUNWcsl (Version:
    11.9.0,REV=20
    02.04.06.15.27 ) libcmd.so.1
                    libc.so.1
                    libdl.so.1
                    libelf.so.1
                    libkvm.so.1
                    libmp.so.2
                    libnsl.so.1
                    libpam.so.1
                    libsocket.so.1


    SUNWlibms (Version: libm.so.1
    5.9,REV=2001. 12.10)

    SMClibgcc (Version: 3.3) libgcc_s.so.1



    For the Sun Solaris version 5.10:

    SUNWcslr (Version:
    11.10.0,REV=200
    4.07.03.22.25) libc.so.1
                libcmd.so.1
                libdl.so.1
                libelf.so.1
                libmd5.so.1
                libmp.so.2
                libnsl.so.1
                libpam.so.1
                libsocket.so.1


    SUNWcslr (Version:
    11.10.0,REV=200
    5.01.21.15.53) libdoor.so.1
                libscf.so.1
                libuutil.so.1






    SUNWlibmsr (Version:
    5.10,REV=2004.0 6.30)
    SUNWcsl(Versio n:
    11.10.0,REV=200
    4.07.03.22.25) libm.so.1
                    libm.so.2
                    libkvm.so.1